net.sourceforge.pmd.cpd

## Class SourceCode.CodeLoader

- java.lang.Object
- - net.sourceforge.pmd.cpd.SourceCode.CodeLoader

- Direct Known Subclasses:
    SourceCode.FileCodeLoader, SourceCode.StringCodeLoader
  Enclosing class:
    SourceCode

      public abstract static class SourceCode.CodeLoader
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceCode.CodeLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getCode()`
    `abstract String` | `getFileName()`
    `protected abstract Reader` | `getReader()`
    `protected List<String>` | `load()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceCode.CodeLoader

          public SourceCode.CodeLoader()

  - ### Method Detail

    - #### getCode

          public List<String> getCode()

    - #### getFileName

          public abstract String getFileName()

    - #### getReader

          protected abstract Reader getReader()
                                       throws Exception

      Throws:
        `Exception`

    - #### load

          protected List<String> load()

Copyright © 2002-2013 InfoEther. All Rights Reserved.